@mixin font-face($font-name, $file-path, $file-name, $weight: normal, $style: normal) { 
  @font-face {
    font-family: quote($font-name);
    // src: url($file-path + $file-name + '.eot');
    // src: url($file-path + $file-name + '.eot?#iefix') format('embedded-opentype'),
    src: url('../fonts/' + $file-path + '/' + $file-name + '.woff2') format('woff2'),
         url('../fonts/' + $file-path + '/' + $file-name + '.woff') format('woff'),
         url('../fonts/' + $file-path + '/' + $file-name + '.ttf')  format('truetype');
         // url($file-path + $file-name + '.svg##{$font-name}')  format('svg');
    font-weight: $weight;
    font-style: $style;
  }
}

@include font-face($font-robotolight, 'roboto', 'roboto-light-webfont');
@include font-face($font-robotomedium, 'roboto', 'roboto-medium-webfont');
@include font-face($font-robotobold, 'roboto', 'roboto-bold-webfont');

@include font-face($font-ralewayregular, 'raleway', 'raleway-regular-webfont');
@include font-face($font-ralewaymedium, 'raleway', 'raleway-medium-webfont');
@include font-face($font-ralewaybold, 'raleway', 'raleway-bold-webfont');
